/*
 * Copyright (C) 2008 The Trustees of Columbia University in the City of New York. 
 * All rights reserved.
 *
 * See the file LICENSE included in this distribution for details.
 */

#ifndef _SYSUTILS_H
#define _SYSUTILS_H

#include <string.h>

#ifdef _LINUX_
#include <unistd.h> //getopt
#endif


#ifdef WIN32
#include <windows.h>

int strcasecmp(const char* s1, const char* s2);
char getopt(int argc, char** argv, char* options);
void sleep(unsigned int seconds);
#endif

char *strtok_i(char *strToken, const char *strDelimit, char **context );

#endif

